<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8" />
  <title>Grade.us API Read-Only GET Examples</title>
  
  <!-- Using Google charts -->
  <script type="text/javascript" src="https://www.google.com/jsapi"></script>
  <script type="text/javascript">
    google.load("visualization", "1", {packages:["corechart"]});
  </script>

 
   <!-- Latest compiled and minified Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">
  
  <!-- Load review stream CSS -->
  <link rel="stylesheet" type="text/css" href="https://static.grade.us/assets/reviewstream.css?v=<? echo date('Ymd'); ?>">
  
  <!-- Local CSS -->
  <style>
  th, td {
    border: 1px solid #ddd;
    padding: 4px;
  }
  </style>
  
<?
// Include config and libs
include (dirname(__FILE__).'/lib.php');
include (dirname(__FILE__).'/config.php');

?>
  
</head>
<body>

<div class="container">
  <div class="row">
  
  <div class="col-md-12">
  <h1>Grade.us API Read-Only GET Examples</h1>
  
  </div><!-- End .col-md-12 -->
  </div><!-- End .row -->
  
  <div class="row">
  <div class="col-md-6">

<?

// ------------------------------------------------------------
//
//  Examples: GET /ratings
//
// ------------------------------------------------------------

$ratings_data = $api->doRequest('ratings', array(), 'GET');

?>

  <h2>Review Sites Ratings Overview</h2>

  <table width="100%" id="reviewstream">
  <tr>
    <th width="30%">Site</th>
    <th width="25%">Review Count</th>
    <th width="45%">Average Rating</th>
  </tr>
  <tbody>
<? 
foreach($ratings_data['ratings']['sites'] as $site) {
  $widget = '<div class="rating-widget"><span class="stars">';
  for($s=1;$s<=5;$s++) {
    $class = 'star-sm';
    if($site['aggregate_rating'] >= $s) {
      //$class .= '';
    } elseif($site['aggregate_rating'] > $s-1) {
      $class .= '-half';
    } else {
      $class .= '-off';
    }
    $widget .= '<i class="'.$class.'">&nbsp;</i>';
  }
  $widget .= '</span></div>'; ?>
  
    <tr>
      <td align="left"><? echo ucwords($site['category']); ?></td>
      <td align="center"><? echo $site['reviews_count']; ?></td>
      <td align="center"><? echo $widget; ?></td>
    </tr>

<? } ?>

  </tbody>
  </table>

  <h2>Ratings Distribution By Sentiment</h2>

  <div id="sentiment-chart"></div>


  <h2>Ratings Distribution By Stars</h2>

  <div id="stars-chart"></div>


<script type="text/javascript">

    // Sentiment:
    var reviews_data = google.visualization.arrayToDataTable([
      ['Sentiment', 'Number of Ratings'],
<? foreach($ratings_data['ratings']['distributions']['sentiment'] as $key => $value) { ?>
      ['<? echo ucwords($key); ?>', <? echo $value; ?>],
<? } ?>
    ]);
    var reviews_options = {
      title: null,
      pieHole: 0.4,
      chartArea: {left:"5%",top:"5%",width:"90%",height:"90%"}
    };
    var reviews_chart = new google.visualization.PieChart(document.getElementById('sentiment-chart'));
    reviews_chart.draw(reviews_data, reviews_options);


    // Stars:
    var reviews_data = google.visualization.arrayToDataTable([
      ['Stars', 'Number of Ratings'],
<? foreach($ratings_data['ratings']['distributions']['stars'] as $key => $value) { ?>
      ['<? echo $key; ?>', <? echo $value; ?>],
<? } ?>
    ]);
    var reviews_options = {
      title: null,
      pieHole: 0.4,
      chartArea: {left:"5%",top:"5%",width:"90%",height:"90%"}
    };
    var reviews_chart = new google.visualization.BarChart(document.getElementById('stars-chart'));
    reviews_chart.draw(reviews_data, reviews_options);

</script>

  </div><!-- End .col-md-6 -->
  
  <div class="col-md-6">
  
<?

// ------------------------------------------------------------
//
//  Examples: GET /reviews
//
// ------------------------------------------------------------

$reviews_data = $api->doRequest('reviews', array('count' => 5), 'GET');

?>
  <h2>Avg. Rating + Latest 5 Reviews</h2>
  
<div itemscope itemtype="http://schema.org/LocalBusiness" id="reviewstream">
  <meta itemprop="name" content="<? echo $reviews_data['name']; ?>">
  <div class="aggregate">
    <div class="rating-widget"><span class="stars">
<?
      for($s=1;$s<=$reviews_data['ratings_max'];$s++) {
        $class = 'star-md';
        if($reviews_data['ratings_average'] >= $s) {
          //$class .= '';
        } elseif($reviews_data['ratings_average'] > $s-1) {
          $class .= '-half';
        } else {
          $class .= '-off';
        }
        echo '<i class="'.$class.'">&nbsp;</i>';
      }
?>
    </span></div>
    <div class="aggregate-text">
      <span itemprop="name"><? echo $reviews_data['name']; ?></span> is rated
      <span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
        <span itemprop="ratingValue"><? echo $reviews_data['ratings_average']; ?></span> out of
        <span itemprop="bestRating"><? echo $reviews_data['ratings_max']; ?></span> based on
        <span itemprop="reviewCount"><? echo $reviews_data['reviews_count']; ?></span> reviews from around the Web.
      </span>
    </div>
  </div>

<? 
foreach($reviews_data['reviews'] as $review) {
  $widget = '<div class="rating-widget"><span class="stars">';
  for($s=1;$s<=$reviews_data['ratings_max'];$s++) {
    $class = 'star-sm';
    if($review['rating'] >= $s) {
      //$class .= '';
    } elseif($review['rating'] > $s-1) {
      $class .= '-half';
    } else {
      $class .= '-off';
    }
    $widget .= '<i class="'.$class.'">&nbsp;</i>';
  }
  $widget .= '</span></div>';
  $date = date('m/d/Y', strtotime($review['date'])); ?>


  <div class="review" itemprop="review" itemscope itemtype="http://schema.org/Review">
    <meta itemprop="itemReviewed" content="<? echo $reviews_data['name']; ?>">
    <div class="review-meta">
      <div class="review-date">
        <meta itemprop="datePublished" content="<? echo $date; ?>">
        <? echo $date; ?>
      </div>
      <div class="review-rating" itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
        <meta itemprop="bestRating" content="<? echo $reviews_data['ratings_max']; ?>">
        <meta itemprop="worstRating" content="1">
        <meta itemprop="ratingValue" content="<? echo $review['rating']; ?>">
        <? echo $widget; ?>
      </div>
    </div>
    <div class="review-text">
      <div class="review-text-inner" itemprop="reviewBody">
      <? echo $review['snippet']; ?>
      </div>
    </div>
    <div class="review-source">
      <i class="icon-link-<? echo $review['category']; ?>"></i>
    </div>
    <div class="review-attribution">
      <div class="review-name" itemprop="author">
        <? echo $review['attribution']; ?>
      </div>
    </div>
    <div class="review-link">
      <a href="<? echo $review['url']; ?>" target="_blank">See review on <? echo ucwords($review['category']); ?></a>
    </div>
  </div>



<? } ?>

</div><!-- End #reviewstream -->

</div><!-- End .col-md-6 -->
</div><!-- End .row -->
</div><!-- End .container -->

</body>
</html>
