<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8" />
  <title>Grade.us API POST Examples</title>
  
  <!-- Using jQuery -->
  <script type="text/javascript" src="http://code.jquery.com/jquery-2.1.4.min.js"></script>
  
  <!-- Latest compiled and minified Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css">

  <!-- Local CSS -->
  <style>
  .field {
    margin: 10px;
  }
  .footer {
    padding-top: 20px;
    text-align: center;
  }
  </style>

    
<?
// Include config and libs
include (dirname(__FILE__).'/lib.php');
include (dirname(__FILE__).'/config.php');

// Check for POST data:
if (isset($_POST["email_address"])) {
  if (filter_var($_POST["email_address"], FILTER_VALIDATE_EMAIL)) {  
    $response = $api->doRequest('customers/create', array(
      'email_address' => $_POST["email_address"],
      'first_name' => $_POST["first_name"],
      'last_name' => $_POST["last_name"]
    ), 'POST', false); 
  } else {
    $response =  "Email is invalid.";
  }
};

if (isset($_POST["name"])) {
  $response = $api->doRequest('profiles/create', array(
    'name' => $_POST["name"],
    'shortname' => $_POST["shortname"],
    'domain' => $_POST["domain"]
  ), 'POST', true);
};

?>
  
</head>
<body>

<div class="container">
  <div class="row">
  
  <div class="col-md-12">
  <h1>Grade.us API POST Examples</h1>

<? // Show nicer feedback as needed ;)
if ($response) {
?><div class="alert alert-info"><p>
<? print_r($response) ?>
</p></div>
<? } ?>

  </div><!-- End .col-md-12 -->
  </div><!-- End .row -->

  <div class="row">
  <div class="col-md-6">
  
  <h2>Trigger Email Invites</h2>
  
<form method="post" enctype="multipart/form-data" action="">
  
  <div class="field">
  <label for="email_address">Email</label>
  <input name="email_address" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="field">
  <label for="first_name">First name</label>
  <input name="first_name" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="field">
  <label for="last_name">Last name</label>
  <input name="last_name" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="footer">
  <input type="submit" value="Submit" class="btn btn-primary">
  </div>
  
</form>
  
<br>
<hr>
<br>

<? $search_data = $api->doRequest('customers/search', array(), 'GET'); ?>
<pre><? echo print_r($search_data); ?></pre>


  </div><!-- End .col-md-6 -->
  <div class="col-md-6">
  
  <h2>Add a Business</h2>
  
  <form method="post" enctype="multipart/form-data" action="">
  
  <div class="field">
  <label for="name">Business Name</label>
  <input name="name" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="field">
  <label for="shortname">Shortname (for URL)</label>
  <input name="shortname" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="field">
  <label for="domain">Domain</label>
  <input name="domain" type="text" value="" class="form-control" tabindex="1">
  </div>

  <div class="footer">
  <input type="submit" value="Create Business" class="btn btn-primary">
  </div>
  
  </form>

  </div><!-- End .col-md-6 -->
  </div><!-- End .row -->


</div><!-- End .container -->

</body>
</html>
